Bug 1029821 - Missing Atom module
Missing Atom module
Status: MODIFIED
Product: JBoss Fuse Service Works 6
Classification: JBoss
Component: SwitchYard (Show other bugs)
6.0.0 GA
Unspecified Unspecified
unspecified Severity urgent
: DR2
: ---
Assigned To: Keith Babo
Matej Melko
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2013-11-13 05:07 EST by Tomas Rohovsky
Modified: 2018-03-29 17:52 EDT (History)
5 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed:
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)


External Trackers
Tracker ID Priority Status Summary Last Updated
JBoss Issue Tracker SWITCHYARD-2072 Blocker Resolved Verify functionality of Camel Atom binding in Karaf 2014-08-31 10:32:13 EDT

  None (edit)
Description Tomas Rohovsky 2013-11-13 05:07:36 EST
Description of problem:
The Camel Atom module "org.apache.camel.atom" is missing. It should be present in modules/system/layers/soa/org/apache/camel/atom, since the Switchyard Atom module "org.switchyard.component.camel.atom" is present in modules and depends on the Camel Atom module.

How reproducible:
Try to deploy an application containing Atom binding.

Steps to Reproduce:
1. create an application containing Atom binding
2. deploy it

Actual results:
Application cannot be deployed. Server log contains error: "No component found with scheme: atom".

Expected results:
Application can be deployed.
Comment 2 Keith Babo 2013-11-13 07:08:29 EST
This is not a committed feature in the ERD (ref. SOA-CORE-12), so I recommend we simply remove the SY Atom component from the distribution.  Keep in mind, there isn't a quickstart nor is there any tooling support for atom bindings at this stage.
Comment 3 kconner 2014-08-19 11:05:22 EDT
The Atom module and tooling now exist in community

Note You need to log in before you can comment on or make changes to this bug.